#!/usr/local/bin/perl -w

use DBI;
require 'settings.pl';


sub dbOpen()	{
	$dbh=DBI->connect("dbi:mysql:mailman",$dbuser,$dbpass,
				{
				AutoCommit=>1
				}
			) 
	|| do{throw("$DBI::errstr")};
}

sub dbClose()	{
	$dbh->disconnect();
}

sub dbCursor()	{
	$func_sql=shift;
	$cursor=$dbh->prepare($func_sql) || do	{
		throw("Database error in cursor create<br>$DBI::errstr");
		};
	$cursor->execute || do	{
		throw("Database error in cursor execute<br>$DBI::errstr");
		};
}

sub dbCloseCursor	{
	$cursor->finish;
}

sub dbFetch()	{
	$cursor->fetchrow_hashref;
}

sub dbQuote()	{
	$dbh->quote(shift);
}

sub dbDo($)	{
	$dbh->do(shift);
}

sub throw()	{
if (defined($dbh))      {dbClose()}
exit;

} #sub throw

1;

__END__
