#!/usr/local/bin/perl -w

=item whatthisdoes

Saves mailman lists in MySQL tables so the unsub scripts can look them up

=cut

use strict;
require 'functions.pl';

use vars qw[$bin];

my (@subs, $sql, @lists, @list_lists, $rows, $i, $r, $id, $qemail);

unless ($ARGV[0])	{
	@list_lists=`$bin/list_lists`;
	foreach (@list_lists)	{
		chomp($_);
		if (/.* - .*/)	{
			s/\W*(.*) - .*/$1/;
			push(@lists,$_);
			}
		} #foreach
	} #unless argv

else	{push(@lists,@ARGV)}


dbOpen();

foreach(@lists)	{
	@subs=`$bin/list_members $_`;
	$sql='select id from lists where list like "';
	$sql.="$_\@%" . '"';
	dbCursor($sql);
	while($rows=dbFetch())	{$id=$rows->{'id'}}
	dbCloseCursor();
	next if !defined($id);
	dbDo('lock tables subs write');
	$sql="delete from subs where id=$id";
	dbDo($sql);
	for($i=0;$i<=$#subs;$i++)	{
		chomp($subs[$i]);
		$qemail=dbQuote($subs[$i]);
		$sql="insert into subs (id,email) values ($id,$qemail)";
		$r=dbDo($sql);
		if($r<0)	{print $DBI::errstr}
		} #for
	dbDo('unlock tables');
	undef $id;
	} #foreach @lists

dbClose();

__END__
